var Cfg = require('./cfg.js');
var Lib = require('./lib.js');
var Websrv = require('./websrv.js');

var cfg = new Cfg();
cfg.read(config => {
  if(config) {
    cfg.cfg = config;
    var lib = new Lib(cfg);
    var websrv = new Websrv(lib);
  }
  else
    console.log(config);
});